# Schema for the configuration files of the Printable module.

printable.settings:
  type: config_object
  label: 'Printable settings'
  mapping:
    printable_entities:
      type: sequence
      label: 'Printable Enabled Entities'
      sequence:
        type: string
        label: 'Entity'
    printable_entities_bundles:
      type: sequence
      sequence:
        type: sequence
        label: 'Entity'
        sequence:
          label: 'Bundle'
          type: boolean
    open_target_blank:
      type: boolean
      label: 'Open in New Tab'
    css_include:
      type: string
      label: 'CSS Include'
    extract_links:
      type: string
      label: 'Extract Links'
    link_canonical:
      type: boolean
      label: 'Include canonical URL link'
    save_pdf:
      type: boolean
      label: 'Save or inline pdf'
    pdf_tool:
      type: string
      label: 'Tool to be used in generating pdf'
    paper_size:
      type: string
      label: 'Page size'
    path_to_binary:
      type: string
      label: 'Path to binary file'
    page_orientation:
      type: string
      label: 'Page orientation'
    pdf_location:
      type: string
      label: 'Pdf location'
    send_to_printer:
      type: boolean
      label: 'Send to printer'
    close_window:
      type: boolean
      label: 'Close the window'
    list_attribute:
      type: boolean
      label: 'List the attributes'
    printable_print_link_locations:
      type: sequence
      label: 'Link locations'
      sequence:
        type: string
        label: 'Print link locations'
    printable_pdf_link_locations:
      type: sequence
      label: 'Link locations'
      sequence:
        type: string
        label: 'Pdf link locations'
    print_pdf_use_xvfb_run:
      type: boolean
      label: 'Use Xvfb-run'
    path_to_xvfb_run:
      type: string
      label: 'Path to Xvfb-run binary file'
    ignore_warnings:
      type: boolean
      label: 'Use the generated PDF even if warnings are indicated'
    exclude_printable_links:
      type: boolean
      label: 'Exclude the printable links from Printable output'
